## org.apache.cassandra.db.filter
Class NamesQueryFilter

    java.lang.Object
      org.apache.cassandra.db.filter.QueryFilter
          org.apache.cassandra.db.filter.NamesQueryFilter

    public class NamesQueryFilter

extends QueryFilter

Field Summary
`java.util.SortedSet<byte[]>` `columns`

Fields inherited from class org.apache.cassandra.db.filter.QueryFilter
`key, path`

Constructor Summary
`NamesQueryFilter(java.lang.String key, QueryPath columnParent, byte[] column)`
`NamesQueryFilter(java.lang.String key, QueryPath columnParent, java.util.SortedSet<byte[]> columns)`

Method Summary
`void` `collectReducedColumns(IColumnContainer container, java.util.Iterator<IColumn> reducedColumns, int gcBefore)` collects columns from reducedColumns into returnCF.
`SuperColumn` `filterSuperColumn(SuperColumn superColumn, int gcBefore)` subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.
`ColumnIterator` `getMemColumnIterator(Memtable memtable, ColumnFamily cf, AbstractType comparator)` returns an iterator that returns columns from the given memtable matching the Filter criteria in sorted order.
`ColumnIterator` `getSSTableColumnIterator(SSTableReader sstable)` returns an iterator that returns columns from the given SSTable matching the Filter criteria in sorted order.

Methods inherited from class org.apache.cassandra.db.filter.QueryFilter
`collectCollatedColumns, getColumnComparator, getColumnFamilyName, getMemColumnIterator, isRelevant`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columns

    public final java.util.SortedSet<byte[]> columns

Constructor Detail

### NamesQueryFilter

    public NamesQueryFilter(java.lang.String key,
                            QueryPath columnParent,
                            java.util.SortedSet<byte[]> columns)

### NamesQueryFilter

    public NamesQueryFilter(java.lang.String key,
                            QueryPath columnParent,
                            byte[] column)

Method Detail

### getMemColumnIterator

    public ColumnIterator getMemColumnIterator(Memtable memtable,
                                               ColumnFamily cf,
                                               AbstractType comparator)

  Description copied from class: `QueryFilter`
  returns an iterator that returns columns from the given memtable matching the Filter criteria in sorted order.

  Specified by:
    `getMemColumnIterator` in class `QueryFilter`

### getSSTableColumnIterator

    public ColumnIterator getSSTableColumnIterator(SSTableReader sstable)
                                            throws java.io.IOException

  Description copied from class: `QueryFilter`
  returns an iterator that returns columns from the given SSTable matching the Filter criteria in sorted order.

  Specified by:
    `getSSTableColumnIterator` in class `QueryFilter`
  Throws:
    `java.io.IOException`

### filterSuperColumn

    public SuperColumn filterSuperColumn(SuperColumn superColumn,
                                         int gcBefore)

  Description copied from class: `QueryFilter`
  subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.

  Specified by:
    `filterSuperColumn` in class `QueryFilter`
  Parameters:
    `superColumn` - may be modified by filtering op.

### collectReducedColumns

    public void collectReducedColumns(IColumnContainer container,
                                      java.util.Iterator<IColumn> reducedColumns,
                                      int gcBefore)

  Description copied from class: `QueryFilter`
  collects columns from reducedColumns into returnCF. Termination is determined by the filter code, which should have some limit on the number of columns to avoid running out of memory on large rows.

  Specified by:
    `collectReducedColumns` in class `QueryFilter`

Copyright © 2010 The Apache Software Foundation